/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.TajusteE;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface TajusteEFacadeLocal {

    void create(TajusteE tajusteE);

    void edit(TajusteE tajusteE);

    void remove(TajusteE tajusteE);

    TajusteE find(Object id);

    List<TajusteE> findAll();

    List<TajusteE> findRange(int[] range);

    int count();

    TajusteE FindTajusEn(String productoCodigo, String programaCodigo, String sucursalCodigo);

}
